# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile



-dontwarn okio.**
-dontwarn okhttp3.**
-dontwarn com.androidquery.**
-keep class com.androidquery.** { *;}
-dontwarn com.ss.android.**


#枫岚sdk
-keep class com.maplehaze.** {*;}

#GDT
-keep class com.qq.e.** {
    public protected *;
}
-keep class android.support.v4.**{
    public *;
}
-keep class android.support.v7.**{
    public *;
}



#mi
-keep class com.xiaomi.ad.**{*;}
-keep class com.miui.zeus.**{*;}

#oppo
-keep class com.oppo.** {
public protected *;
}

-keep public class com.cdo.oaps.base.**{ *; }

-keep class okio.**{ *; }

-keep class com.squareup.wire.**{ *; }

-keep public class * extends com.squareup.wire.**{ *; }
# Keep methods with Wire annotations (e.g. @ProtoField)
-keepclassmembers class ** {
 @com.squareup.wire.ProtoField public *;
 @com.squareup.wire.ProtoEnum public *;
}



#京东sdk混淆规则
-keep class com.jd.ad.sdk.** {*;}


#oaid
-keep class com.bun.miitmdid.**{*;}
-keep public class com.netease.nis.sdkwrapper.Utils {*;}

#快手
-keep class org.chromium.** {*;}
-keep class org.chromium.** { *; }
-keep class aegon.chrome.** { *; }
-keep class com.kwai.**{ *; }
-dontwarn com.kwai.**
-dontwarn com.kwad.**
-dontwarn com.ksad.**
-dontwarn aegon.chrome.**

-keep class com.ksad.** {*;}
-keep class com.kwad.** {*;}
-keep class com.kwai.** {*;}
-keep class android.support.rastermill.** {*;}
-keep class com.android.internal.util.** {*;}



#tanx
-dontwarn com.alibaba.fastjson.**
-keep class com.alibaba.fastjson.**{*;}
-keep class com.bumptech.glide.**{*;}
-keep class com.alimm.tanx.**{*;}



#百度
-dontwarn com.baidu.mobads.sdk.api.**
-keepclassmembers class * extends android.app.Activity {
   public void *(android.view.View);
}

-keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

-keep class com.baidu.mobads.** { *; }
-keep class com.style.widget.** {*;}
-keep class com.component.** {*;}
-keep class com.baidu.ad.magic.flute.** {*;}
-keep class com.baidu.mobstat.forbes.** {*;}
#9.22版本新增加混淆，9.25版本不再要求
#如果接入微信小游戏调起，需按微信要求添加以下keep
-keep class com.tencent.mm.opensdk.** {
    *;
}
-keep class com.tencent.wxop.** {
    *;
}
-keep class com.tencent.mm.sdk.** {
    *;
}


#穿山甲
-keep class com.bytedance.** {*;}
-keep class com.pgl.sys.ces.** {*;}
-keep class com.ss.android.** {*;}
-keep public interface com.bytedance.sdk.openadsdk.downloadnew.** {*;}

#优量汇
-keep class com.qq.e.** {
    public protected *;
}
-keep class android.support.v4.**{
    public *;
}
-keep class android.support.v7.**{
    public *;
}

